package com.jkcredit.invoice.mapper.customer;

import com.jkcredit.invoice.model.entity.customer.CustomerRec;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CustomerRecMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(CustomerRec record);

    int insertSelective(CustomerRec record);

    CustomerRec selectByPrimaryKey(Integer id);

    List<CustomerRec> selectByCustomerName(String customerName);

    CustomerRec selectByCustomerNameAndCompany(CustomerRec record);
    CustomerRec selectByCustomerNameAndCompanyConcat(CustomerRec record);

    int updateByPrimaryKeySelective(CustomerRec record);

    int updateByPrimaryKey(CustomerRec record);
}